src/fvm/fvm_group.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_group.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <math.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_group.h"`
Include dependency graph for fvm_group.c:

## Functions
int | fvm_group_class_get_n_groups (const fvm_group_class_t *this_group_class)
const char ** | fvm_group_class_get_group_names (const fvm_group_class_t *this_group_class)
fvm_group_class_set_t * | fvm_group_class_set_create (void)
void | fvm_group_class_set_add (fvm_group_class_set_t *this_group_class_set, int n_groups, const char **group_names)
fvm_group_class_set_t * | fvm_group_class_set_destroy (fvm_group_class_set_t *this_group_class_set)
int | fvm_group_class_set_size (const fvm_group_class_set_t *this_group_class_set)
const fvm_group_class_t * | fvm_group_class_set_get (const fvm_group_class_set_t *this_group_class_set, int group_class_id)
fvm_group_class_set_t * | fvm_group_class_set_copy (const fvm_group_class_set_t *this_group_class_set, int n_gcs, int gc_id[])
void | fvm_group_class_set_dump (const fvm_group_class_set_t *this_group_class_set)

## Function Documentation

const char** fvm_group_class_get_group_names | ( | const fvm_group_class_t * | this_group_class | ) |

int fvm_group_class_get_n_groups | ( | const fvm_group_class_t * | this_group_class | ) |

void fvm_group_class_set_add | ( | fvm_group_class_set_t * | this_group_class_set,
|  | int | n_groups,
|  | const char ** | group_names
| ) |  |

fvm_group_class_set_t* fvm_group_class_set_copy | ( | const fvm_group_class_set_t * | this_group_class_set,
|  | int | n_gcs,
|  | int | gc_id[]
| ) |  |

fvm_group_class_set_t* fvm_group_class_set_create | ( | void |  | ) |

fvm_group_class_set_t* fvm_group_class_set_destroy | ( | fvm_group_class_set_t * | this_group_class_set | ) |

void fvm_group_class_set_dump | ( | const fvm_group_class_set_t * | this_group_class_set | ) |

const fvm_group_class_t* fvm_group_class_set_get | ( | const fvm_group_class_set_t * | this_group_class_set,
|  | int | group_class_id
| ) |  |

int fvm_group_class_set_size | ( | const fvm_group_class_set_t * | this_group_class_set | ) |